Bug 120537 - %configure options for ldap and pcre need to be updated.
%configure options for ldap and pcre need to be updated.
Product: Fedora
Classification: Fedora
Component: balsa (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-04-10 00:09 EDT by Stephen Beahm
Modified: 2014-03-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 11:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Beahm 2004-04-10 00:09:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
Here is balsa's configure options from the spec file:
%configure --disable-system-install --disable-more-warnings \
 --with-gss --with-ssl --enable-gtkhtml --enable-ldap  \
 --disable-flock --enable-fcntl --disable-pcre

The option --enable-ldap should be replaced with --with-ldap (see
balsa ChangeLog).

pcre is included with the fedora distribution, --disable-pcre should
be changed to --enable-pcre. Requires for pcre and BuildRequires for
pcre-devel should also be added.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. build.
2. try to use ldap address book.
Comment 1 Bill Nottingham 2004-04-13 00:19:06 EDT
pcre is intentionally disabled. It overrides libc symbols with
different structure sizes, which can cause problems for other code
that uses regexes.
Comment 2 Stephen Beahm 2004-04-13 04:18:42 EDT
OK, that makes sense for pcre.

What about ldap ?
Comment 3 Bill Nottingham 2004-04-13 11:03:18 EDT
Fixed in 2.0.17-1.

Note You need to log in before you can comment on or make changes to this bug.